Taslak Çizgi

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Line and the translation is 35% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎中文(中国大陆)‎
FreeCAD.png
Next: Wire Draft Wire.svg Arrow-right.svg

Draft Line.svg Çizgi

Menü konumu
Taslak → Çizgi
Tezgahlar
Taslak, Mimari
Varsayılan kısayol
L I
Versiyonda tanıtıldı
0.17
Ayrıca bkz
Tel,Nokta


Tanım

Çizgi aracı, tanımlanan iki nokta arasına bir çizgi çizer. Tepsi deki Çizgi stili setini kullanır. Çizgi aracı, iki noktadan sonra durması dışında, Tel aracı gibi davranır.

Draft Line example.jpg

Çizgi, iki noktayla oluşturulur


Nasıl kullanılır

  1. Draft Line.svg Çizgi düğmesine basın veya L ardından I tuşları.
  2. 3D görünümde bir ilk noktaya tıklayın veya bir koordinat yazın ve Draft AddPoint.svg Nokta ekle düğmesine basın.
  3. 3D görünümünde ikinci bir noktaya tıklayın veya bir koordinat yazın ve Draft AddPoint.svg Nokta ekle düğmesine basın.

Ağaç görünümündeki öğeye çift tıklayarak veya Draft Edit.svg Düzenle düğmesine basılarak çizgi düzenlenebilir. Ardından noktaları yeni bir konuma getirebilirsiniz.

Tek çizgilerin kaynaştırılması

Birden fazla bağlı Çizgi seçilmişse, Draft Upgrade.svgYükselt düğmesine basarak bir düzenlenemez Tel olarak kaynaşabilirler. Düzenlenebilir bir tel oluşturmak için, üçten fazla yeni şekilde (tel, kapalı tel, yüz) Draft Upgrade.svg Yükselt kullanın. Orijinal çizgileri Draft Wire.svg Tel aracıyla da birleştirebilirsiniz.

Bir tel, uzunluğu boyunca başka bir nokta eklenerek tek bir çizgiden de oluşturulabilir. Bunu yapmak için, Draft AddPoint.svg Nokta ekle düğmesine basın ve çizgi üzerinde herhangi bir yere tıklayın.

Seçenekler

  • Verilen eksendeki ikinci noktayı kısıtlamak için ilk noktadan sonra X, Y veya Z tuşlarına basın.
  • Koordinatları manuel olarak girmek için sayıları girin, ardından her bir X, Y ve Z bileşeni arasında Enter tuşuna basın.
    • Noktanın kutupsal koordinatlarını "Uzunluk" ve "Açı" değerlerini vererek de tanımlayabilirsiniz. İşaretçiyi belirtilen açıyla sınırlamak için "Açı" nın yanındaki onay kutusunu tıklayın. Noktayı yerleştirmek istediğiniz değerleri aldığınızda Draft AddPoint.svg Nokta ekle düğmesine basabilirsiniz.
  • Görecelimoduna geçmek için R tuşuna basın veya onay kutusunu tıklayın. Göreceli mod açıksa, ikinci noktanın koordinatları birincisine göredir; değilse, kesindir, kökenlerinden alınır (0,0,0).
  • Devammoduna geçmek için T tuşuna basın veya onay kutusunu tıklayın. Devam modu açıksa, ikinci nokta verdikten sonra Satır aracı yeniden başlatılır ve böylece araç düğmesine tekrar basmadan başka bir satır parçası çizmenize izin verir.
  • snapping noktanızı mesafeden bağımsız olarak, en yakın çeki konumuna yönlendirmek için çizim yaparken Ctrl tuşunu basılı tutun.
  • İlk noktanıza göre ikinci noktanızı yatay veya dikey olarak constrain çizerken Shift tuşunu basılı tutun.
  • Ctrl + Z tuşuna basınız veya sonuncuyu geri almak için Draft UndoLine.png Undo düğmesine basınız. puan.
  • Geçerli komutu iptal etmek için Esc veya Close düğmesine basınız.

Özellikler

Bir Çizgi nesnesi tel 'deki tüm özellikleri paylaşır, ancak bu özelliklerin yalnızca bazıları Çizgi için geçerlidir.

Veri

  • VERİStart: Başlangıç noktasını belirtir.
  • VERİEnd: Bitiş noktasını belirtir.
  • VERİSubdivisions: Satırdaki iç düğümlerin sayısını belirtir. 0.16 sürümünde kullanılabilir
  • VERİLength: (salt okunur) bölümün uzunluğunu belirtir.

View

  • GÖRÜNÜMEnd Arrow: True ise, satırın son noktasında bir sembol gösterecektir, böylece bir açıklama satırı olarak kullanılabilir.
  • GÖRÜNÜMArrow Size: satırın sonunda görüntülenen sembolün boyutunu belirtir.
  • GÖRÜNÜMArrow Type: satırın sonunda görüntülenen, "Nokta", "Daire", "Ok" veya "Onay" olabilen sembolün türünü belirtir.

Betik

Ayrıca bkz.: Taslak API ve FreeCAD Betik esasları.

Çizgi aracı, aşağıdaki işlevi kullanarak makrolar ve Python konsolundan kullanılabilir:

Line = makeLine(p1, p2)
Line = makeLine(LineSegment)
Line = makeLine(Shape)
  • Her biri p1 ve p2 noktaları arasında, her biri FreeCAD.Vector ile milimetre cinsinden birimler arasında tanımlanan bir Line nesnesi oluşturur.
  • Bir Part.LineSegment 'dan bir Line nesnesi oluşturur.
  • Verilen Shape 'nin ilk köşesinden son köşesine kadar bir Line nesnesi oluşturur.

Örnek:

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 500, 0)
p3 = FreeCAD.Vector(-250, -500, 0)
p4 = FreeCAD.Vector(500, 1000, 0)

Line1 = Draft.makeLine(p1, p2)
Line2 = Draft.makeLine(p3, p4)